# Get address from all generated addresses across domains

Endpoint: GET /v1/addresses
Security: httpAuth

## Query parameters:

  - `address` (string, required)
    Address required and only one for getting entities matching this address.
    Example: "someLedgerAddress"

## Response 200 fields (application/json):

  - `items` (array, required)
    - `id` (string, required)
    - `address` (string, required)
    - `ledgerId` (string, required)
    - `domainId` (string, required)
    - `accountId` (string, required)
    - `createdAt` (string, required)
    - `custodyType` (string, required)
      Enum: "SelfCustody", "SubCustody"
    - `type` (string, required)
      Enum: "AccountAddressReference"

  - `count` (integer, required)

  - `currentStartingAfter` (string)

  - `nextStartingAfter` (string)

## Response 401 fields (application/json):

  - `reason` (string, required)

  - `message` (string)


